Name: xmgr
Version: 4.1.2
Release: 4
Copyright: distributable
Source0: ftp://plasma-gate.weizmann.ac.il/pub/xmgr4/src/xmgr-4.1.2.tar.gz
Patch0: xmgr-4.1.2.patch00
Patch1: xmgr-4.1.2.patch01
Patch2: xmgr-4.1.2.patch02
Icon: xmgr1.gif
BuildRoot: /tmp/xmgr-root
Packager: Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
ExclusiveArch: i386
Group: Applications/Math
Summary: Numerical Data Processing and Visualization Tool (xmgr)
%description
Xmgr is a Motif application for two-dimensional data visualization.
Xmgr can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Xmgr is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.

%package dynamic
Group: Applications/Math
Summary: Numerical Data Processing and Visualization Tool (xmgr)
Provides: xmgr
Conflicts: xmgr-semistatic

%description dynamic
Xmgr is a Motif application for two-dimensional data visualization.
Xmgr can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Xmgr is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.

%package semistatic
Group: Applications/Math
Summary: xmgr with statically linked Motif libraries
Provides: xmgr
Conflicts: xmgr-dynamic

%description semistatic
Xmgr is a Motif application for two-dimensional data visualization.
Xmgr can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Xmgr is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.

In this package the Motif libraries are linked statically for users who have
no Motif runtime libraries.

%changelog

* Fri May 29 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>

- Fixed the bug causing segfaults if there are missing arguments to
  command line switches

* Fri May 22 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>

- Applied patch a patch for fixing the fft problem (#398)

%prep
%setup
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
./configure --prefix=/usr --enable-acegr-home=/usr/lib/xmgr
make
cd src
mv xmgr xmgr.dynamic
`make -n xmgr | grep '^gcc' | head -1 | \
 sed -e 's/\([ \t]\|^\)-lXm\b/\1-Wl,-Bstatic,-lXm,-Bdynamic/g' \
     -e 's/\([ \t]\|^\)-lXp\b/\1-Wl,-Bstatic,-lXp,-Bdynamic/g' \
     -e 's/\([ \t]\|^\)-lXbae\b/\1-Wl,-Bstatic,-lXbae,-Bdynamic/g'`
mv xmgr xmgr.semistatic
mv xmgr.dynamic xmgr
cd ..

%install
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
make PREFIX=$RPM_BUILD_ROOT/usr \
     GR_HOME=$RPM_BUILD_ROOT/usr/lib/xmgr \
     install
strip $RPM_BUILD_ROOT/usr/lib/xmgr/bin/xmgr
strip $RPM_BUILD_ROOT/usr/lib/xmgr/bin/grconvert
install -s src/xmgr.semistatic $RPM_BUILD_ROOT/usr/lib/xmgr/bin

%clean
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%post dynamic
ln -sf /usr/lib/xmgr/bin/xmgr $RPM_BUILD_ROOT/usr/bin/xmgr
ln -sf /usr/lib/xmgr/bin/xmgr $RPM_BUILD_ROOT/usr/bin/grbatch
ln -sf /usr/lib/xmgr/bin/grconvert $RPM_BUILD_ROOT/usr/bin/grconvert
ln -sf /usr/lib/xmgr/auxiliary/fdf2fit $RPM_BUILD_ROOT/usr/bin/fdf2fit
ln -sf /usr/lib/xmgr/lib/libacegr_np.a $RPM_BUILD_ROOT/usr/lib/libacegr_np.a
ln -sf /usr/lib/xmgr/include/acegr_np.h $RPM_BUILD_ROOT/usr/include/acegr_np.h

%post semistatic
ln -sf /usr/lib/xmgr/bin/xmgr.semistatic $RPM_BUILD_ROOT/usr/bin/xmgr
ln -sf /usr/lib/xmgr/bin/xmgr.semistatic $RPM_BUILD_ROOT/usr/bin/grbatch
ln -sf /usr/lib/xmgr/bin/grconvert $RPM_BUILD_ROOT/usr/bin/grconvert
ln -sf /usr/lib/xmgr/auxiliary/fdf2fit $RPM_BUILD_ROOT/usr/bin/fdf2fit
ln -sf /usr/lib/xmgr/lib/libacegr_np.a $RPM_BUILD_ROOT/usr/lib/libacegr_np.a
ln -sf /usr/lib/xmgr/include/acegr_np.h $RPM_BUILD_ROOT/usr/include/acegr_np.h

%postun dynamic
rm -f /usr/bin/xmgr
rm -f /usr/bin/grbatch
rm -f /usr/bin/grconvert
rm -f /usr/bin/fdf2fit
rm -f /usr/lib/libacegr_np.a
rm -f /usr/include/acegr_np.h

%postun semistatic
rm -f /usr/bin/xmgr
rm -f /usr/bin/grbatch
rm -f /usr/bin/grconvert
rm -f /usr/bin/fdf2fit
rm -f /usr/lib/libacegr_np.a
rm -f /usr/include/acegr_np.h

%files dynamic
%doc COPYRIGHT CHANGES
%docdir /usr/lib/xmgr/doc
%docdir /usr/lib/xmgr/examples
%dir /usr/lib/xmgr/bin
%dir /usr/lib/xmgr
/usr/lib/xmgr/doc
/usr/lib/xmgr/examples
/usr/lib/xmgr/auxiliary
/usr/lib/xmgr/include
/usr/lib/xmgr/lib
/usr/lib/xmgr/bin/xmgr
/usr/lib/xmgr/bin/grconvert

%files semistatic
%doc COPYRIGHT CHANGES
%docdir /usr/lib/xmgr/doc
%docdir /usr/lib/xmgr/examples
%dir /usr/lib/xmgr/bin
%dir /usr/lib/xmgr
/usr/lib/xmgr/doc
/usr/lib/xmgr/examples
/usr/lib/xmgr/auxiliary
/usr/lib/xmgr/include
/usr/lib/xmgr/lib
/usr/lib/xmgr/bin/xmgr.semistatic
/usr/lib/xmgr/bin/grconvert
